Description

Al momento attuale per aggiornare Oracle-Java (o per installarlo), bisogna:

1) far uscire liberamente il client agendo sul firewall

2) Togliere le istruzioni sul proxy dai file /etc/apt/apt.conf, /etc/environment e /etc/wgetrc

Secondo me & da automatizzare la procedura nel momento in cui € richiesta l'installazione. Cio capita anche per altri repository.
Conclusa l'installazione o I'aggiornamento, | file devono essere ripristinati come erano.

Associated revisions

Revision 8429¢c633 - 12/16/2016 10:00 AM - Christopher R. Gabriel
refs #99

History

#1 - 12/07/2016 12:09 PM - Christopher R. Gabriel
- Status changed from Nuovo to Commenti

- Assignee changed from Christopher R. Gabriel to Piergiorgio Cemin

Ma per cosa €' richiesto? Cosa e' che non si puo' fare con openjdk 7 e 8? Per altro, anche qui problemi di licenza.

#2 - 12/12/2016 05:17 PM - Piergiorgio Cemin

- Assignee changed from Piergiorgio Cemin to Christopher R. Gabriel

Purtroppo il problema & legato ad alcune applicazioni Web che funzionano solo con Oracle Java. La stessa cosa succede con la maschera Java per
le prove Invalsi (quella fatta per funzionare con Linux) che richiedeva (almeno fino allo scorso anno) Oracle Java. Ora il problema & che dobbiamo
fare in modo almeno di dare ai tecnici una soluzione veloce per installarla nel momento in cui serva.

#3 - 12/12/2016 08:05 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Piergiorgio Cemin

Piergiorgio Cemin ha scritto:

Purtroppo il problema & legato ad alcune applicazioni Web che funzionano solo con Oracle Java.

Cosa che per altro non €' piu' supportata dalla versione 9, e i browser stanno rimuovendo (c'e' chi lo ha gia' rimosso) il supporto per java. Quindi sara'
anche un sistema non piu' utilizzabile in generale (e meno male)

La stessa cosa succede con la maschera Java per le prove Invalsi (quella fatta per funzionare con Linux) che richiedeva (almeno fino allo scorso
anno) Oracle Java. Ora il problema & che dobbiamo fare in modo almeno di dare ai tecnici una soluzione veloce per installarla nel momento in
cui serva.

Ok, se qualcuno poi se lo vuole installare, €' un altro discorso, quindi lo togliamo dai metapacchetti, ok?
#4 - 12/16/2016 10:00 AM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Come discusso telefonicamente, viene rimosso oracle java in favore di openjdk.

| metapackages installato openjdk jre versioni 8 e 9.
